<?php
namespace Claromentis\Core\Component;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_f61cbfe09f839854b" . "95117fe13b4a1ba" => base64_decode("c3Ry" . "cG9z"), "_cfe3120f54395b670" . "652b38c2d0a8e88" => base64_decode("c3Vic" . "3Ry"), "_cdbb345f4d4f843a" . "bb75a837d26cccf5" => base64_decode("Tm8gY29tcG9uZW50IGhhcyBiZWVuIHJlZ2lzdGVyZ" . "WQgYXMgIg=="), "_70979d287fa2c98d21aa07834c2" . "59a52" => base64_decode("c3RydG9sb3d" . "lcg=="), "_5315a4e0f66f0e19adf5" . "23faaadf691a" => base64_decode("Q29tcG9uZW50IHJlZ2lzdGVyZ" . "WQgYXMgIg=="), "_e92ad742fc12ec1dd5" . "c30557fafca331" => base64_decode("I" . "g" . "=" . "="), "_aed8da0f19091214b7" . "8f80351048517c" => base64_decode("c3RybGV" . "u"), "_d706c160e45bf7434fff82" . "a5976f0e19" => base64_decode("YXJyYXlfa2V5" . "cw=="), "_a5ad20ceac0b4" . "ca276b644079b7" . "af5c5" => base64_decode("IiBkb2VzIG5vdCByZXR1cm4g" . "YW4gaW5zdGFuY2Ugb2Yg"));
use Claromentis\Core\Component\Exception\MissingComponentException;
use Pimple\Container;
class ComponentList
{
    protected $components;
    protected $container;
    protected $name_prefix;
    public function __construct(Container $_5e4594441b0e531bfd6f0011e0327611, $_b33b852882e8491a1cddaabb020b3daf)
    {
        $this->container = $_5e4594441b0e531bfd6f0011e0327611;
        $this->name_prefix = $_b33b852882e8491a1cddaabb020b3daf;
        $this->components = null;
    }
    
    
    
    
    protected function FindComponentsKeys()
    {
        if ($this->components !== null) {
            return;
        }
        $this->components = [];
        $_dff05f62bb87399254f2155a31e58365 = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_aed8da0" . "f1909121" . "4b78f803" . "51048517" . "c"]($this->name_prefix);
        foreach ($this->container->keys() as $key) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_f61cbfe09f839854b95117fe13b4" . "a1ba"]($key, $this->name_prefix) !== 0) {
                
                
                continue;
            }
            $this->components[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_cfe3120f54395b67065" . "2b38c2d0a8e88"]($key, $_dff05f62bb87399254f2155a31e58365)] = 1;
        }
    }
    
    
    
    
    public function GetComponentsKeys()
    {
        $this->FindComponentsKeys();
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d706c160e45bf7434ff" . "f82a5976f0e19"]($this->components);
    }
    
    
    
    
    
    
    
    
    
    public function GetComponent($name, $_0075b8e35172a508cf11199cdbf91f66 = false)
    {
        $name = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_70979d287fa2c98d2" . "1aa07834c259a52"]($name);
        $_21d5dbcf5399111a9e090014c78472cf = $this->name_prefix . $name;
        if (!isset($this->container[$_21d5dbcf5399111a9e090014c78472cf])) {
            if ($_0075b8e35172a508cf11199cdbf91f66) {
                return new NotInstalledComponent($name);
            } else {
                throw new MissingComponentException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_cdbb345f4d" . "4f843abb75a" . "837d26cccf5"] . $name . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e92ad742fc12ec1" . "dd5c30557fafca33" . "1"]);
            }
        }
        $_6817ec6d42314534466dd8262d02d837 = $this->container[$_21d5dbcf5399111a9e090014c78472cf];
        if (!$_6817ec6d42314534466dd8262d02d837 instanceof ComponentInterface) {
            throw new MissingComponentException($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_5315a4e0f66f0" . "e19adf523faaad" . "f691a"] . $name . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a5ad20ceac0" . "b4ca276b6440" . "79b7af5c5"] . ComponentInterface::class);
        }
        return $_6817ec6d42314534466dd8262d02d837;
    }
}